ZITADEL Docs
APIsCore ResourcesV1Instance Objects

Deprecated: List SMTP Configs

Returns a list of SMTP configurations.

Deprecated: please move to the new endpoint ListEmailProviders.

POST
/smtp/_search

Request Body

application/json

query?
[key: string]?never

Response Body

application/json

curl -X POST "https://loading/smtp/_search" \  -H "Content-Type: application/json" \  -d '{}'
{
  "details": {
    "totalResult": 0,
    "processedSequence": 0,
    "viewTimestamp": "2023-01-15T01:30:15.01Z"
  },
  "result": [
    {
      "details": {
        "sequence": 0,
        "creationDate": "2023-01-15T01:30:15.01Z",
        "changeDate": "2023-01-15T01:30:15.01Z",
        "resourceOwner": "string"
      },
      "senderAddress": "string",
      "senderName": "string",
      "tls": true,
      "host": "string",
      "user": "string",
      "replyToAddress": "string",
      "state": "SMTP_CONFIG_STATE_UNSPECIFIED",
      "description": "string",
      "id": "string"
    }
  ]
}

Was this page helpful?